
Infrastructure - Story #1027

Re-assessing the java service api package structure 

2010-10-26 20:28 - Robert Waltz

Status: Closed Start date: 2011-02-03

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2011.28-Block.4   

Story Points:    

Description

Originally we created org.dataone.service as a toplevel package name for the re-useable java service api

subpackage cn would contain cn api interfaces, mn would contain the cn api interfaces, and types should contain serializable classes

We have added new classes and packages that do not fit into the original categories, we should try to define some more and

re-arrange as needed

Subtasks:

Task # 1293: Merge duplication of effort of Serializers in DataONE Common Java Closed

Task # 1138: Move DataONE_Common_Java NodeList utilities into a new component Closed

Task # 1399: packages in CN Service layer duplicate functionality Closed

Task # 1139: Integrate new NodeList Utilities into d1_indexer and d1_synchronization Closed

Task # 1624: Review and potentially revise NodeListParser Closed

History

#1 - 2010-10-26 20:29 - Robert Waltz

- Tracker changed from Task to Story

#2 - 2011-02-03 23:31 - Robert Waltz

- Assignee set to Robert Waltz

#3 - 2011-03-16 17:38 - Robert Waltz

- Position changed from 1 to 173

- Position set to 1

#4 - 2011-03-16 17:52 - Robert Waltz

- Target version set to Sprint-2011.11-Block.2

- Position deleted (174)

- Position set to 4

#5 - 2011-03-22 13:51 - Dave Vieglais

- Position set to 2

- Target version changed from Sprint-2011.11-Block.2 to Sprint-2011.12-Block.2

- Position deleted (12)

#6 - 2011-03-22 13:58 - Dave Vieglais

- Target version changed from Sprint-2011.12-Block.2 to Sprint-2011.13-Block.2

- Position set to 2

- Position deleted (6)
#7 - 2011-04-05 01:47 - Dave Vieglais

- Position deleted (17)

- Target version changed from Sprint-2011.13-Block.2 to Sprint-2011.14-Block.2

- Position set to 8

#8 - 2011-04-13 04:11 - Dave Vieglais

- Target version deleted (Sprint-2011.14-Block.2)

- Position deleted (25)

- Position set to 1

#9 - 2011-05-23 18:10 - Robert Waltz

- Milestone deleted (CCI-0.6)

#10 - 2011-08-01 15:59 - Robert Waltz

- Status changed from New to Closed

- Milestone set to CCI-0.6.3

- Target version set to Sprint-2011.28-Block.4
